SDL_Condition(3type)

NAME
SDL_Condition - A means to block multiple threads until a condition is satisfied.

HEADER FILE
Defined in SDL3/SDL_mutex.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_Condition SDL_Condition;

DESCRIPTION
Condition variables, paired with an SDL_Mutex , let an app halt multiple threads until a condition has occurred, at which time the app can release one or all waiting threads.

Wikipedia has a thorough explanation of the concept:

https://en.wikipedia.org/wiki/Condition_variable

AVAILABILITY
This struct is available since SDL 3.2.0.